# [5.1.0](https://gitlab.gwdg.de/bibliothek-der-neologie/bdn-SADE/compare/v5.0.2...v5.1.0) (2020-08-10)


### Bug Fixes

* **critical.xqm:** render apparatus in teller ([df4ad5c](https://gitlab.gwdg.de/bibliothek-der-neologie/bdn-SADE/commit/df4ad5c24145c332a7196942e29b84907791277d)), closes [#193](https://gitlab.gwdg.de/bibliothek-der-neologie/bdn-SADE/issues/193)
* **digital.xqm:** improve whitespace handling after line- or paragraph-breaks ([aab13ad](https://gitlab.gwdg.de/bibliothek-der-neologie/bdn-SADE/commit/aab13ad630a53300cbb7504fbbcc6ef8a94e103e)), closes [#166](https://gitlab.gwdg.de/bibliothek-der-neologie/bdn-SADE/issues/166)
* **neologie-interactive.jss:** improve display of modals in interactive view ([c43bccb](https://gitlab.gwdg.de/bibliothek-der-neologie/bdn-SADE/commit/c43bccbb75fcd5f9fdc2669e7de872a99cc16aa5)), closes [#170](https://gitlab.gwdg.de/bibliothek-der-neologie/bdn-SADE/issues/170)
* **neologie.css:** fix line spacing in headings ([ef0d3cb](https://gitlab.gwdg.de/bibliothek-der-neologie/bdn-SADE/commit/ef0d3cb916fa94595c26195164d4a70a23e20db7)), closes [#163](https://gitlab.gwdg.de/bibliothek-der-neologie/bdn-SADE/issues/163)
* **neologie.css,neologie.js:** fix position after scrolling to link within same work ([63f5576](https://gitlab.gwdg.de/bibliothek-der-neologie/bdn-SADE/commit/63f5576c063c44f6ff18bc7d699479e2eed2d737)), closes [#134](https://gitlab.gwdg.de/bibliothek-der-neologie/bdn-SADE/issues/134)
* **persons.xql:** add missing 'else' ([2570491](https://gitlab.gwdg.de/bibliothek-der-neologie/bdn-SADE/commit/25704915aa5a7a3601e521cd48d5d793f11a400e)), closes [#209](https://gitlab.gwdg.de/bibliothek-der-neologie/bdn-SADE/issues/209)


### Features

* **neologie.css, neologie.js:** highlight current view in dropdown ([c048f56](https://gitlab.gwdg.de/bibliothek-der-neologie/bdn-SADE/commit/c048f563aaae1254bbaf4a986cc4e266e68c3cc3)), closes [#136](https://gitlab.gwdg.de/bibliothek-der-neologie/bdn-SADE/issues/136)
* **neologie.js:** add active class to current anchor in views menu ([afb0761](https://gitlab.gwdg.de/bibliothek-der-neologie/bdn-SADE/commit/afb0761c60ab62729a15e446e969313ae92bef1d))

# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]
### Added
- Auf der jeweiligen Informationsseite zu einem Autor gibt es nun einen Button, der zur Werkübersicht zurückführt.
- Neuigkeiten auf der Startseite.
- Darstellung von zitierten Passus in Bahrdt/Semler in der digitalen Ansicht.
- Darstellung von editorischen Fußnoten in Bahrdt/Semler.
### Changed
- Update auf eXist-db 4.7.0.
- Die Navigation im Reiter "Editionen" wurde aktualisiert.
- Die Sprache des Changelogs wurde auf Deutsch geändert.
- Der Text von Lemmata sind nun immer hervorgehoben, wenn die zugehörige Variante sichtbar ist (nicht nur beim Hover über die Variante).
- Die Werkübersicht wurde auf den neuen Mechanismus für das semantische Splitten der Gesamt-XMLs angepasst. Zudem wurden Untereinträge eingeführt, die für mehr Übersichtlichkeit sorgen.
### Fixed
- Bug im semantischen Splitten der Gesamt-XMLs behoben.
- Bug in der Editionsnavigation behoben: Link unter "Ansicht" > "Editorisches Vorwort" korrigiert.


## [4.4.0] - 2019-05-17
### Added
- Mobile Friendliness: Navbar für alle Editionsansichten auf kleinen Geräten (sm oder xs breakpoint).
- Registeransicht wurde leicht überarbeitet.
- Serialisierung der editorischen Vorworte.
- Anpassungen an die neueste Schemaerweiterung.


### Changed
- Registeransichten werden nun während xml-utils:main erzeugt.
- Entfernen von zirkulären Abhängigkeiten in utils.xqm/whitelist.xqm und utils.xqm/nav-utils.xqm.
- Update auf eXist-db 4.6.1.
- Schemadokumentation wird nun mit SADEs ODD Serializer angezeigt.
- Die Navigation in den Editionsansichten berücksichtigt nun spezielle Anforderungen von Bahrdt/Semler.
- Die interaktive Ansicht von Bahrdt/Semler hat nur noch eine Spalte.
- Das Abkürzungsicon wurde durch eine Unterstreichung des betreffenden Texts ersetzt.

### Fixed
- Bug in der Erzeugung der TEI/XML-Ansicht behoben.
- Es werden nur noch Register, die in einem Werk vorkommen, angezeigt.
- Bug im Zählen der tei:rdg in der textkritischen Ansicht behoben.
- Verrücken des Texts wenn ein Modalfenster geöffnet wird getilgt.
- Mehrfacheinträge von Buchstaben in der Registernavigation getilgt.
- Kleinere Bugs in Bahrdt/Semler behoben.
- Erzeugung der TEI/XML-Ansicht funktioniert jetzt für alle vier Autoren in der Pipe (Nösselt, Griesbach, Leß, Bahrdt/Semler)
- Bug in Griesbach behoben, durch den ein komplett ausgelassenes tei:item keine Hintergrundfarbe in der interaktiven Anicht hatte.

## [4.3.0] - 2018-10-19
### Added
- Ein kompletter Workflow, mit dem alle XML eines Werks sowie die während des Splittens erzeugten XML in whitelist.xml eingefügt werden.

### Changed
- Kleinere Umbenennungen von Funktionsnamen und Variablen (code quality).


## [4.2.0] - 2018-10-19
### Added
- Die Listenübersicht für alle Registertypen unter index-overview.html.

### Changed

### Removed
